extends TextureRect

@export var blink_time : float = 0.2
var tween : Tween

func _ready() -> void:
	tween = create_tween()
	tween.tween_property(self, "modulate:a", 0, 0)
	tween.tween_interval(blink_time)
	tween.tween_property(self, "modulate:a", 1, 0)
	tween.tween_interval(blink_time)
	tween.set_loops(-1)
